| EM datagrams on *.kmall format Reg.no. 410224 rev F

Data Fields
EMdgmMRZ_txSectorInfo_def Struct Reference

#MRZ - sector information. More...

`#include <EMdgmFormat.h>`

## Data Fields
uint8_t | txSectorNumb
uint8_t | txArrNumber
uint8_t | txSubArray
uint8_t | padding0
float | sectorTransmitDelay_sec
float | tiltAngleReTx_deg
float | txNominalSourceLevel_dB
float | txFocusRange_m
float | centreFreq_Hz
float | signalBandWidth_Hz
float | totalSignalLength_sec
uint8_t | pulseShading
uint8_t | signalWaveForm
uint16_t | padding1

## Detailed Description

#MRZ - sector information.

Information specific to each transmitting sector. sectorInfo is repeated numTxSectors (Ntx)- times in datagram.

Definition at line 879 of file EMdgmFormat.h.

## Field Documentation

## ◆ txSectorNumb

uint8_t txSectorNumb

TX sector index number, used in the sounding section. Starts at 0.

Definition at line 881 of file EMdgmFormat.h.

## ◆ txArrNumber

uint8_t txArrNumber

TX array number. Single TX, txArrNumber = 0.

Definition at line 882 of file EMdgmFormat.h.

## ◆ txSubArray

uint8_t txSubArray

Default = 0. E.g. for EM2040, the transmitted pulse consists of three sectors, each transmitted from separate txSubArrays. Orientation and numbers are relative the array coordinate system. Sub array installation offsets can be found in the installation datagram, #IIP.
0 = Port subarray
1 = middle subarray
2 = starboard subarray

Definition at line 883 of file EMdgmFormat.h.

## ◆ padding0

uint8_t padding0

Byte alignment.

Definition at line 885 of file EMdgmFormat.h.

## ◆ sectorTransmitDelay_sec

float sectorTransmitDelay_sec

Transmit delay of the current sector/subarray. Delay is the time from the midpoint of the current transmission to midpoint of the first transmitted pulse of the ping, i.e. relative to the time used in the datagram header.

Definition at line 886 of file EMdgmFormat.h.

## ◆ tiltAngleReTx_deg

float tiltAngleReTx_deg

Along ship steering angle of the TX beam (main lobe of transmitted pulse), angle referred to transducer array coordinate system. Unit degree. See Coordinate systems 'Coordinate systems'

Definition at line 887 of file EMdgmFormat.h.

## ◆ txNominalSourceLevel_dB

float txNominalSourceLevel_dB

Unit dB re 1 microPascal.

Definition at line 889 of file EMdgmFormat.h.

## ◆ txFocusRange_m

float txFocusRange_m

0 = no focusing applied.

Definition at line 890 of file EMdgmFormat.h.

## ◆ centreFreq_Hz

float centreFreq_Hz

Centre frequency. Unit hertz.

Definition at line 891 of file EMdgmFormat.h.

## ◆ signalBandWidth_Hz

float signalBandWidth_Hz

FM mode: effective bandwidth
CW mode: 1/(effective TX pulse length)

Definition at line 892 of file EMdgmFormat.h.

## ◆ totalSignalLength_sec

float totalSignalLength_sec

Also called pulse length. Unit second.

Definition at line 893 of file EMdgmFormat.h.

## ◆ pulseShading

uint8_t pulseShading

Transmit pulse is shaded in time (tapering). Amplitude shading in %. cos2- function used for shading the TX pulse in time.

Definition at line 894 of file EMdgmFormat.h.

## ◆ signalWaveForm

uint8_t signalWaveForm

Transmit signal wave form.
0 = CW
1 = FM upsweep
2 = FM downsweep.

Definition at line 895 of file EMdgmFormat.h.

## ◆ padding1

uint16_t padding1

Byte alignment.

Definition at line 896 of file EMdgmFormat.h.

The documentation for this struct was generated from the following file:

- EMdgmFormat.h